This generic code used for all python scripts.

The quotes are to ensure that the source .py file can still be
run as a python script, but does not include any sys.path handling.
Otherwise, the lilypond-book calls inside the build
might modify installed .pyc files.

"""

for d in ['/usr/share/lilypond/2.20.0',
	  '/usr/lib/lilypond/2.20.0']:
    sys.path.insert (0, os.path.join (d, 'python'))

# dynamic relocation, for GUB binaries.
bindir = os.path.abspath (os.path.dirname (sys.argv[0]))
for p in ['share', 'lib']:
    datadir = os.path.abspath (bindir + '/../%s/lilypond/current/python/' % p)
    sys.path.insert (0, datadir)

# Python scripts executed during 'make test' and 'make test-baseline'
# must use their own versions of the scripts and the files loaded by
# those scripts. Assume to be in such a situation if the path to the
# script ends with 'scripts/out'.
if bindir.endswith (r'/scripts/out'):
    sys.path.insert (0, bindir + r'/../../python/out')
"""
